WriterPlsParserInternal::ParagraphData Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
WriterPlsParserInternal::ParagraphData Struct Reference

Internal: class to store the beginning of all paragraph data. More...

## Public Member Functions
| ParagraphData ()
| Constructor. More...

## Public Attributes
int | m_type
int | m_typeFlag
int | m_height
int | m_width
int | m_indent [2]
int | m_unknown
std::string | m_text
std::vector< Font > | m_fonts
long | m_endPos
int | m_numData [2]

## Friends
std::ostream & | operator<< (std::ostream &o, ParagraphData const &p)
| operator<< More...

## Detailed Description

Internal: class to store the beginning of all paragraph data.

## Constructor & Destructor Documentation

WriterPlsParserInternal::ParagraphData::ParagraphData | ( |  | ) |
| inline

Constructor.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphData const & | p
| ) |  |
| friend

operator<<

## Member Data Documentation

long WriterPlsParserInternal::ParagraphData::m_endPos

Referenced by WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), WriterPlsParser::readText(), and WriterPlsParser::readUnknown().

std::vector<Font> WriterPlsParserInternal::ParagraphData::m_fonts

Referenced by WriterPlsParser::readParagraphData(), and WriterPlsParser::readText().

int WriterPlsParserInternal::ParagraphData::m_height

Referenced by WriterPlsParser::readParagraphData().

int WriterPlsParserInternal::ParagraphData::m_indent[2]

Referenced by WriterPlsParser::getParagraph(), ParagraphData(), and WriterPlsParser::readParagraphData().

int WriterPlsParserInternal::ParagraphData::m_numData[2]

Referenced by ParagraphData(), WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), WriterPlsParser::readText(), and WriterPlsParser::readUnknown().

std::string WriterPlsParserInternal::ParagraphData::m_text

Referenced by WriterPlsParser::readParagraphData(), and WriterPlsParser::readText().

int WriterPlsParserInternal::ParagraphData::m_type

Referenced by WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), WriterPlsParser::readText(), and WriterPlsParser::readUnknown().

int WriterPlsParserInternal::ParagraphData::m_typeFlag

Referenced by WriterPlsParser::readParagraphData().

int WriterPlsParserInternal::ParagraphData::m_unknown

Referenced by WriterPlsParser::readParagraphData().

int WriterPlsParserInternal::ParagraphData::m_width

Referenced by WriterPlsParser::getParagraph(), and WriterPlsParser::readParagraphData().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx